> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Widget URLs (Deprecated)

> This endpoint returns an api_token to open a Nexus session

This endpoint has been deprecated.

This endpoint was originally intended to generate URLs for all enabled widgets for a client. This is no longer needed because the get URL with configuration options endpoint supports all MX widgets and MX does not need to enable particular widgets for each client.

New implementations should not use this endpoint in testing or in production. MX will continue to support this endpoint for existing partners who have implemented it, but we encourage all partners to switch to the get URL with configuration optinos endpoint to generate URLs for each individual widget they wish to use.

<RequestExample>
  ```shell Request theme={null}
  curl -i https://int-sso.moneydesktop.com/{client_id}/users/{user_id}/urls.xml \
    -H "Accept: application/vnd.moneydesktop.sso.v3+xml" \
    -H "MD-API-KEY: :api_key"
  ```
</RequestExample>

<ResponseExample>
  ```xml Response theme={null}
  <urls>
    <url>
      <user_id>unique-user-id</user_id>
      <type>master_widget</type>
      <url>https://widgets.moneydesktop.com/md/master/XXXXX</url>
    </url>
    <url>
      <user_id>unique-user-id</user_id>
      <type>accounts_widget</type>
      <url>https://widgets.moneydesktop.com/md/accounts/XXXXX</url>
    </url>
  </urls>
  ```
</ResponseExample>
